[
  {
    "term": "Spring",
    "year": 2026,
    "courses": [
      {
        "code": "COMP 0414",
        "en": "Computer Networks"
      },
      {
        "code": "ITEC 0401",
        "en": "Capstone Design Project I"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2025,
    "courses": [
      {
        "code": "COMP 0432",
        "en": "Topics in Software"
      },
      {
        "code": "ITEC 0402",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2025,
    "courses": [
      {
        "code": "ITEC 0201",
        "en": "Introduction to Computer Science and Engineering"
      },
      {
        "code": "EECS 0312",
        "en": "Network Programming"
      },
      {
        "code": "ITEC 0401",
        "en": "Capstone Design Project I"
      },
      {
        "code": "COMP 0461",
        "en": "Problem-based Engineering Training Experiment"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2024,
    "courses": [
      {
        "code": "COMP 0432",
        "en": "Topics in Software"
      },
      {
        "code": "BIDA 0201",
        "en": "Big Data Convergence Project"
      },
      {
        "code": "ITEC 0402",
        "en": "Capstone Design Project II"
      },
      {
        "code": "COMP 0460",
        "en": "Problem-based Engineering Training Experiment"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2024,
    "courses": [
      {
        "code": "BIDA 0201",
        "en": "Big Data Convergence Project"
      },
      {
        "code": "ITEC 0401",
        "en": "Capstone Design Project I"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2023,
    "courses": [
      {
        "code": "SABBATICAL",
        "en": "No Class (Sabbatical)",
        "note": "Sabbatical"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2023,
    "courses": [
      {
        "code": "EECS 0312",
        "en": "Network Programming"
      },
      {
        "code": "BIDA 0201",
        "en": "Big Data Convergence Project"
      },
      {
        "code": "CICT 0703",
        "en": "Software Convergence Project 3"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2022,
    "courses": [
      {
        "code": "CLTR 273001",
        "en": "Problem Solving and Computing"
      },
      {
        "code": "COMP 432001",
        "en": "Topics in Software"
      },
      {
        "code": "ITEC 401001",
        "en": "Capstone Design Project I"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2022,
    "courses": [
      {
        "code": "EECS 312002",
        "en": "Network Programming"
      },
      {
        "code": "ITEC 402001",
        "en": "Capstone Design Project II"
      },
      {
        "code": "COMP 460001",
        "en": "Problem-based Engineering Training Experiment"
      },
      {
        "code": "CICT 701001",
        "en": "Software Convergence Project 1"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2021,
    "courses": [
      {
        "code": "ITEC 402001",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2021,
    "courses": [
      {
        "code": "CLTR 273001",
        "en": "Problem Solving and Computing"
      },
      {
        "code": "GLSO 218001",
        "en": "Software Convergence Design 1"
      },
      {
        "code": "ITEC 402001",
        "en": "Capstone Design Project II"
      },
      {
        "code": "COMP 778001",
        "en": "Advanced Mobile Computing"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2020,
    "courses": [
      {
        "code": "ITEC 401003",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 401004",
        "en": "Capstone Design Project I"
      },
      {
        "code": "GLSO 228001",
        "en": "Topics in Software Convergence IV"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2020,
    "courses": [
      {
        "code": "ITEC 401016",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402003",
        "en": "Capstone Design Project II"
      },
      {
        "code": "COMP 778001",
        "en": "Advanced Mobile Computing"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2019,
    "courses": [
      {
        "code": "COMP 432001",
        "en": "Topics in Software"
      },
      {
        "code": "ITEC 401003",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402016",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2019,
    "courses": [
      {
        "code": "ITEC 201010",
        "en": "Introduction to Computer Science and Engineering"
      },
      {
        "code": "ITEC 401016",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402003",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2018,
    "courses": [
      {
        "code": "ITEC 401005",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402017",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2018,
    "courses": [
      {
        "code": "ITEC 401021",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402006",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2017,
    "courses": [
      {
        "code": "COMP 432001",
        "en": "Topics in Software"
      },
      {
        "code": "GLSO 213001",
        "en": "Creative Convergence Design"
      },
      {
        "code": "ITEC 401003",
        "en": "Capstone Design Project I"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2017,
    "courses": [
      {
        "code": "EECS 312001",
        "en": "Network Programming"
      },
      {
        "code": "ITEC 401018",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402005",
        "en": "Capstone Design Project II"
      },
      {
        "code": "COME 742001",
        "en": "Advanced Computer Networks"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2016,
    "courses": [
      {
        "code": "COMP 432001",
        "en": "Topics in Software"
      },
      {
        "code": "COME 331013) and DS Applications (COMP 216002",
        "en": "Data Structures"
      },
      {
        "code": "ITEC 401004",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402016",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2016,
    "courses": [
      {
        "code": "COMP 414003",
        "en": "Computer Networks"
      },
      {
        "code": "ITEC 401031",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402005",
        "en": "Capstone Design Project II"
      },
      {
        "code": "ITEC 402006",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2015,
    "courses": [
      {
        "code": "COMP 432001",
        "en": "Topics in Software"
      },
      {
        "code": "ITEC 401006",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 401007",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402022",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2015,
    "courses": [
      {
        "code": "ITEC 201009",
        "en": "Introduction to Computer Science and Engineering"
      },
      {
        "code": "EECS 312001",
        "en": "Network Programming"
      },
      {
        "code": "EECS 312002",
        "en": "Network Programming"
      },
      {
        "code": "ITEC 401021",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402004",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2014,
    "courses": [
      {
        "code": "ITEC 401006",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402021",
        "en": "Capstone Design Project II"
      },
      {
        "code": "COME 742001",
        "en": "Advanced Computer Networks"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2014,
    "courses": [
      {
        "code": "COMP 414002",
        "en": "Computer Networks"
      },
      {
        "code": "ITEC 402004",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2013,
    "courses": [
      {
        "code": "ITEC 401005",
        "en": "Capstone Design Project I"
      },
      {
        "code": "ITEC 402017",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2013,
    "courses": [
      {
        "code": "COMP 432001",
        "en": "Topics in Software"
      },
      {
        "code": "ITEC 402005",
        "en": "Capstone Design Project II"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2012,
    "courses": [
      {
        "code": "COMP 432001",
        "en": "Topics in Software"
      },
      {
        "code": "ITEC 401003",
        "en": "Capstone Design Project I"
      },
      {
        "code": "EECS 422021",
        "en": "Senior Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2012,
    "courses": [
      {
        "code": "COMP 214002",
        "en": "Web Programming Design"
      },
      {
        "code": "COMP 749001",
        "en": "Computer Network Protocols"
      },
      {
        "code": "ELEC 957001",
        "en": "Next Generation Internet Technology"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2011,
    "courses": [
      {
        "code": "COME 311003",
        "en": "Probability and Statistics: Class 1"
      },
      {
        "code": "COME 311004",
        "en": "Probability and Statistics: Class 2"
      },
      {
        "code": "COMP 764001",
        "en": "Internet Computing"
      },
      {
        "code": "COMP 432001",
        "en": "Topics in Software"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2011,
    "courses": [
      {
        "code": "COMP 214001",
        "en": "Web Programming Design: Class 1"
      },
      {
        "code": "COMP 214002",
        "en": "Web Programming Design: Class 2"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2010,
    "courses": [
      {
        "code": "COME 311003",
        "en": "Probability and Statistics"
      },
      {
        "code": "COME 331004",
        "en": "Data Structures"
      },
      {
        "code": "EECS 422022",
        "en": "Senior Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2010,
    "courses": [
      {
        "code": "EECS 450001",
        "en": "Internet Programming Design"
      },
      {
        "code": "COMP 414003",
        "en": "Computer Networks"
      },
      {
        "code": "ELEC 957001",
        "en": "Next-Generation Internet Technology"
      },
      {
        "code": "EECS 408016",
        "en": "Senior Project I"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2009,
    "courses": [
      {
        "code": "COME 31103",
        "en": "Probability and Statistics"
      },
      {
        "code": "COME 33105",
        "en": "Data Structures"
      },
      {
        "code": "EECS 42202",
        "en": "Senior Project II"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2009,
    "courses": [
      {
        "code": "EECS 20704",
        "en": "Introduction to Computer Science"
      },
      {
        "code": "EECS 45001",
        "en": "Internet Programming Design"
      },
      {
        "code": "EECS 40803",
        "en": "Senior Project I"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2008,
    "courses": [
      {
        "code": "COME 31103",
        "en": "Probability and Statistics"
      },
      {
        "code": "COMP 76401",
        "en": "Internet Computing"
      },
      {
        "code": "ELEC 75401",
        "en": "Computer Network: Special"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2008,
    "courses": [
      {
        "code": "EECS 31401",
        "en": "Internet Programming and Practices"
      },
      {
        "code": "COMP 74901",
        "en": "Computer Network Protocols"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2007,
    "courses": [
      {
        "code": "EECS 20703",
        "en": "Introduction to Computer Science"
      },
      {
        "code": "COME 31103",
        "en": "Probability and Statistics"
      },
      {
        "code": "COMP 41401",
        "en": "Computer Networks"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2007,
    "courses": [
      {
        "code": "EECS 20109",
        "en": "C Programming and Practices"
      },
      {
        "code": "EECS 20704",
        "en": "Introduction to Computer Science"
      },
      {
        "code": "EECS 31401",
        "en": "Internet Programming and Practices"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2006,
    "courses": [
      {
        "code": "EECS 20703",
        "en": "Introduction to Computer Science"
      },
      {
        "code": "COME 31103",
        "en": "Probability and Statistics"
      },
      {
        "code": "COMP 76401",
        "en": "Internet Computing"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2006,
    "courses": [
      {
        "code": "EECS 20704",
        "en": "Introduction to Computer Science"
      },
      {
        "code": "EECS 31401",
        "en": "Internet Programming and Practices"
      },
      {
        "code": "COMP 75101",
        "en": "Computer Performance Analysis"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2005,
    "courses": [
      {
        "code": "EECS 20703",
        "en": "Introduction to Computer Science"
      },
      {
        "code": "EECS 20806",
        "en": "Data Structures"
      },
      {
        "code": "COMP 41402",
        "en": "Computer Network"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2005,
    "courses": [
      {
        "code": "EECS 20704",
        "en": "Introduction to Computer Science"
      },
      {
        "code": "EECS 49201",
        "en": "Internet Programming Design"
      },
      {
        "code": "COMP 74901",
        "en": "Computer Network Protocols"
      }
    ]
  },
  {
    "term": "Fall",
    "year": 2004,
    "courses": [
      {
        "code": "ELEC 26104",
        "en": "Computer Engineering"
      },
      {
        "code": "COMP 22101",
        "en": "Data Structures II"
      },
      {
        "code": "EECS 31201",
        "en": "Network Programming"
      }
    ]
  },
  {
    "term": "Spring",
    "year": 2004,
    "courses": [
      {
        "code": "EECS 20704",
        "en": "Introduction to Computer Science"
      },
      {
        "code": "COMP 21105",
        "en": "Data Structures I"
      }
    ]
  }
]